%global module pycurl

Name:           python-%{module}
Version:        7.45.1
Release:        %mkrel 1
Summary:        A Python interface to libcurl
License:        LGPLv2+ or MIT
Group:          Development/Python
URL:            http://pycurl.sourceforge.net/
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}openssl-devel
BuildRequires:  python3-devel
Requires:       %{_lib}curl4
Obsoletes: python-curl
Provides: python-curl = %version-%release

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       %{_lib}curl4
Obsoletes: python3-curl
Provides: python3-curl = %version-%release

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
%apply_patches

%build
%py3_build -- --with-openssl

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

rm -rf %{buildroot}%{_datadir}/doc/%{module}

%files -n python3-%{module}
%defattr(-,root,root)
%doc ChangeLog COPYING-* README.rst examples doc
%{python3_sitearch}/*

%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 7.45.1-1pclos2022
- update and rebuild for python 3.10

* Tue Apr 24 2018 bb2 <bb2> - 7.43.0.1-2pclos2018
- obsolete and provide python-curl and python3-curl

* Tue Apr 03 2018 marcin82 <fixxer1982 at gmail.com>  7.43.0.1-1pclos2018
- initial build for PCLinuxOS
